"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const tree_1 = require("../utility/tree");
function addPackageJsonScript() {
    return (tree) => {
        const packageJson = JSON.parse(tree_1.readRequiredFile(tree, '/package.json'));
        packageJson.scripts = packageJson.scripts || {};
        packageJson.scripts['skyux:generate-documentation'] =
            'ng generate @skyux-sdk/documentation-schematics:documentation';
        tree.overwrite('/package.json', JSON.stringify(packageJson, undefined, 2));
    };
}
function ngAdd() {
    return schematics_1.chain([
        addPackageJsonScript(),
        (_tree, context) => {
            context.addTask(new tasks_1.NodePackageInstallTask());
        },
    ]);
}
exports.default = ngAdd;
//# sourceMappingURL=ng-add.schematic.js.map